version: '2'
services:
  front-db:
    image: postgres
    env_file:
      - ./docker.env
    volumes:
      - ./database/pgdata:/var/lib/postgresql/data
    restart: unless-stopped

  redis:
    image: redis
    restart: unless-stopped

  front-app:
    image: registry.gitlab.com/import_this/cp2020_final/hr
    command: uwsgi --ini /opt/backend/uwsgi.ini
    volumes:
      - ./app/django_static:/opt/backend/backend/static
      - ./app/django_media:/opt/backend/backend/media
    env_file:
      - ./docker.env
      - ./virtual_host.env
    environment:
      VIRTUAL_PROTO: uwsgi
      LETSENCRYPT_EMAIL: midvikus@gmail.com
    expose:
      - "3031"
    depends_on:
      - front-db
      - redis
    restart: unless-stopped

networks:
  default:
    external:
      name: nginx-proxy
